Bug 683547 - User should not be able to delete system-critical plugins (RHQ server, RHQ agent)
User should not be able to delete system-critical plugins (RHQ server, RHQ ag...
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.0.0.B02
Unspecified Unspecified
high Severity high (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: gwt-plugins
  Show dependency treegraph
 
Reported: 2011-03-09 11:58 EST by Corey Welton
Modified: 2014-05-02 14:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-02 14:06:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2011-03-09 11:58:25 EST
Description of problem:

User can delete/purge agent plugins such as "RHQ server" and "RHQ agent".  This probably shouldn't be allowed...

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Administration > Plugins
2. Attempt to delete/purge RHQ Plugins
  
Actual results:
These get removed

Expected results:
We really probably shouldn't allow this, no?  We need to blacklist system-critical plugins.

Additional info:
Comment 1 John Mazzitelli 2011-04-01 11:53:24 EDT
technically, only the platform plugin is system critical. the others are optional and need not be installed for RHQ to work.

now we might want to add some kind of flag to a plugin where an admin can say, "freeze this plugin, do not allow it to be deleted".

this is an RFE.

Note You need to log in before you can comment on or make changes to this bug.